<?php
include("conexionOdo.php");

$lineGeneral    = $_GET['LDX'];  
$linDeco        = base64_decode($lineGeneral);

//PARTE LA LINEA
$partir  = split ("/", $linDeco);   
$idUsu   = $partir[0];
$tipAcc  = $partir[1];

//$idUsu = $_GET['usu'];
//$tipAcc = $_GET[mot];

//toma nombre del usuario
$query = " SELECT logUsuario as nomUsu FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $idUsu";
$result = mysql_query($query) or die('Consulta fallida: ' . mysql_error()); 
$line = mysql_fetch_array($result, MYSQL_ASSOC);
$usuarioArch = $line[nomUsu];

//libera resultados 
mysql_free_result($result);

// ACTUALIZA EN LA BD EL LOG DE SALIDA DEL USUARIO
$sql = " select count(*) as cuantos from SIME_LOG_CON where logUsuario = '$usuarioArch'";
$result = mysql_query($sql) or die('Consulta cuantos fallida: ' . mysql_error()); 
$line = mysql_fetch_array($result, MYSQL_ASSOC);
$cuantos = $line[cuantos];

//libera resultados 
mysql_free_result($result);

if ($cuantos==0)
{
 $query =  "INSERT INTO SIME_LOG_CON (logUsuario,conectado) VALUES('$usuarioArch', 'N')";
 $result = mysql_query($query) or die('Adicion fallida: ' . mysql_error()); 
}
else
{
 $query = " UPDATE SIME_LOG_CON SET logUsuario = '$usuarioArch', conectado ='N' WHERE logUsuario = '$usuarioArch'";
 $result = mysql_query($query) or die('Modificacion fallida: ' . mysql_error()); 
}

//libera resultados 
mysql_free_result($result);

//REGISTRO DE ENTRADAS Y SALIDAS DEL SISTEMA
//$query1 = " INSERT INTO SIME_LOG (logUsuario, accion, tipoAccion) VALUES('$usuarioArch','S','$tipAcc')"; 
//$result = mysql_query($query1) or die('Modificacion fallida: ' . mysql_error());

//libera resultados 
//mysql_free_result($result);

// Cerrar la conexion
mysql_close($link);   



//BORRA VARIABLES DE SESION
session_start();

// Destruir todas las variables de sesión.
$_SESSION = array();

// Si se desea destruir la sesión completamente, borre también la cookie de sesión.
// Nota: ¡Esto destruirá la sesión, y no la información de la sesión!
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(session_name(), '', time() - 42000,
        $params["path"], $params["domain"],
        $params["secure"], $params["httponly"]
    );
}

// Finalmente, destruir la sesión.
session_destroy();


include ("index.php");
?>